Programming in C
+ Marshall
umc:/vol/tmp/boot/liu.ini
/home/fhanka/Fnet/workIntOAM/umc_init_72.t
*.cc; *.h; *.c
cd /vobs/1bts_V1
cd /vobs/fw_V1
SIMENV for older release
View manager: vmgr &
serial -t 1bts70 liu
telnet 135.246.193.204 2002
serial -t 1bts71 liu
telnet 135.246.193.204 2018
serial -t 1bts72 liu
telnet 135.246.193.204 2026
serial 1bts78 liu
ct mkview -tag
ct setview
ct rmview /vol/view1umts/public/
ct catcs -tag
ct setcs ~/cs
/vobs/ubtssw_tools/local/bin/build
build -xs /vobs/1bts_V1/usl/src -xw
Full NodeB build:
cd /vobs/ubtssw_top/build
/vobs/ubtssw_top/build; build -xv
rm -f /vobs/ubtssw_top/build/boards/urc2/liu2/bin/liu2/ppc8540/liu2.vx
rm -f /vobs/ubtssw_top/build/boards/urc2/umc2/bin/umc2/ppc8540/umc2.vx
cp /vobs/ubtssw_top/build/packages/NodeB/package/NodeB-07.01.01.02.tar.gz /home/
rm -rf /home/
mv /vobs/ubtssw_top/build/packages/NodeB/package/NodeB-07.01.01.02.tar.gz /home/
cd /home/
tar zxvf NodeB-07.01.01.02.tar.gz
A zipped tarfile containing the whole NodeB is /vobs/ubtssw_top/build/packages/NodeB/package/NodeB-07.01.01.02.tar.gz
NodeB Single Board Images:
One can also build single board Image rather than entire build
UMC only: /vobs/ubtssw_top/build/boards/urc2/umc2; build -xv
The image is /vobs/ubtssw_top/build/boards/urc2/umc2/bin/umc2/ppc8540/umc2.vx
LIU only: /vobs/ubtssw_top/build/boards/urc2/liu2; build -xv
The image is /vobs/ubtssw_top/build/boards/urc2/liu2/bin/liu2/ppc8540/liu2.vx
Build NodeB application for Solaris
/vobs/ubtssw_top/build/boards/urc2/umc2; build -xv solaris
build on umc in solaris
/vobs/ubtssw_top/build/boards/urc2/umc2/bin/umc2/solaris;
__A=
__B=
__C=
__D=
autoload='typeset -fu'
bs='. /vobs/ubtssw_tools/bin/bts_setup'
btsetup='. /vobs/ubtssw_tools/bin/bts_setup'
cdsvx='cd /vobs/ubtssw_top/build/boards/urc2/umc2/bin/umc2/solaris'
cdtvx='cd /vobs/ubtssw_top/build/boards/urc2/umc2/bin/umc2/ppc8540'
cdvob='cd /vobs/ubtssw_oam'
cellbld='cd /vobs/ubtssw_oam/AO_RFPath/AOCell/test;build -xv -xw ABSMTCNF=AOCell solaris'
cleartool=/usr/atria/bin/cleartool
command='command '
cp='cp -i'
ct=cleartool
ctci='cleartool checkin'
ctco='cleartool checkout'
ctd='cleartool describe'
ctfmr='cleartool describe -aat MR'
ctl='cleartool mklabel -replace'
ctlg='cleartool lsvtree -graphical'
ctls='cleartool ls'
ctlsbr='cleartool lstype -kind brtype'
ctlsco='cleartool lscheckout -recurse'
ctlslb='cleartool lstype -kind lbtype'
ctlsp='cleartool lspriv'
ctlt='cleartool lsvtree'
ctlv='cleartool lsview'
ctsv='cleartool setview'
ctunco='cleartool uncheckout'
functions='typeset -f'
history='fc -l'
integer='typeset -i'
la='ls -a'
ll='ls -la'
local=typeset
mv='mv -i'
mydct='perl /home/
myps='ps -fu $LOGNAME'
mysh='xterm $XTERMFLAGS +rw +sb +ls $@ -tm "erase ^? intr ^c" -name vt220 -title DYN -tn xterm "$@"'
nohup='nohup '
ocmbld='cd /vobs/ubtssw_oam/AO_RFPath/AOOCM/test;build -xv -xw ABSMTCNF=AOOCM solaris'
perl=/opt/exp/bin/perl
r='fc -e -'
rt=RoseRT
sbld='cd /vobs/ubtssw_top/build/boards/urc2/umc2;build -xv -xw solaris'
sbuild=''
stop='kill -STOP'
stty=/opt/exp/gnu/bin/stty
suspend='kill -STOP $$'
sv=rsetview.pl
tbld='cd /vobs/ubtssw_top/build/boards/urc2/umc2;build -xv -xw ppc8540'
tranbld='cd /vobs/ubtssw_oam/AO_RFPath/AOTransceiver/test;build -xv -xw ABSMTCNF=AOTransceiver solaris'
tty=/opt/exp/gnu/bin/tty
v=/home/
vi=vim
view='cleartool lsview
grep
xc='(unset ENV; xclearcase) &'
alias bs='. /vobs/ubtssw_tools/bin/bts_setup'
alias sbld='cd /vobs/ubtssw_top/build/boards/urc2/umc2;build -xv -xw solaris'
alias tbld='cd /vobs/ubtssw_top/build/boards/urc2/umc2;build -xv -xw ppc8540'
alias ocmbld='cd /vobs/ubtssw_oam/AO_RFPath/AOOCM/test;build -xv -xw ABSMTCNF=AOOCM solaris'
alias cellbld='cd /vobs/ubtssw_oam/AO_RFPath/AOCell/test;build -xv -xw ABSMTCNF=AOCell solaris'
alias tranbld='cd /vobs/ubtssw_oam/AO_RFPath/AOTransceiver/test;build -xv -xw ABSMTCNF=AOTransceiver solaris'
alias cdvob='cd /vobs/ubtssw_oam'
alias cdtvx="cd /vobs/ubtssw_top/build/boards/urc2/umc2/bin/umc2/ppc8540"
alias cdsvx="cd /vobs/ubtssw_top/build/boards/urc2/umc2/bin/umc2/solaris"
alias v=~/bin/ctsv.sh
alias ct=cleartool
alias view='cleartool lsview
grep
serial -t 1bts72 umc
host inet (h) : 172.18.255.82 (btssun02 ip address)
IN btssun02 (172.18.255.82) use SBSP to download generic file:
telnet 172.18.72.1 7900
dnld c07010102.vn 172.18.255.82
dnld c07010102.vn 172.18.255.82
setg c07010102.vn
boot ----; re-boot UMC with latest generic file
help - dbgHelp
D:\OneBTS\src\eclipse\1bts\nodeb: Project Working Space
D:\OneBTS\MyCode\vobs: Project Source code Working Space
http://nwswww.wh.lucent.com/~blevin/files/ep/uslCodeTrace.html
/usl/pub/include/uslCodeTrace.h
#define print_ip(a) printf("%ld.%ld.%ld.%ld",(ntohl(a.s_addr);;24) & 0xff, \
(ntohl(a.s_addr);;16) & 0xff, \
(ntohl(a.s_addr);;8) & 0xff, \
(ntohl(a.s_addr)) & 0xff);
#define isdigit(x) ((x) ;= '0' && (x) <= '9')
#define isprint(x) ((x) ;= 32 && (x) <= 126) /* ASCII NUMBERS */
http://nwswww.wh.lucent.com/~pisano/
Internet protocol number: http://support.microsoft.com/kb/289892
If have DWO, use UCM (clearprojexp) to create child stream to view and make activity and develop.
You may now use the 1BTS Platform UCM environment at a dedicated stream to start development for feature F27649.
Create your private work space
Join project ntn_1btsptf-11.01.a.lDev
Do not use the offered integration stream. Select the development stream ntn_1btsptf-11.01.a.l_f27649 to join project at this lower level.
Do not use any other project or stream!!
Activity
Activity headline: :
Activity Id: _
Example mkactivity –headline “00145917.02.d001: My DWO headline” hwilmsen_00145917.02.d001
Environment
Source profile (. /uvobs/tools/local/etc/profile)
Build
usr/local/bin/cscope_build.sh
#set -x # Uncomment to debug this script
#set -n # Uncomment to check command syntax without any execution
if [ "$#" -lt 0 ]; then
printf "%b" "Error. Too many arguments.\n" >&2
printf "%b" "usage: $0 \n" >&2
exit 1
fi
CUR=`pwd`
find "$CUR" -name "*" > "$CUR"/cscope.files
if [ ! -f "$CUR/cscope.files" ]; then
echo "Not found cscope.files"
exit 1
fi
CSCOPE_DIR=`which cscope`
if [ -z "$CSCOPE_DIR" -o x"$CSCOPE_DIR" = "x" ]; then
echo "Not found cscope tool "
exit 1
fi
isCtags=false
CTAGS_DIR=`which ctags`
if [ -n "$CTAGS_DIR" -a x"$CTAGS_DIR" != "x" ]; then
isCtags=true
fi
cscope -b -q -k || echo "cscope failed at line #$LINENO!"
CSCOPE_DB="$CUR/cscope.out"
export CSCOPE_DB
# Tagging all source code files
if [ "$isCtags" = "true" ]; then
ctags -R "$CUR"
fi
if [ "$SECONDS" -gt 1 ]; then
echo "This vobs takes $SECONDS seconds"
fi
echo -e "\a" # Beep!
exit 0
#!/bin/tcsh
if ($#argv != 1) then
echo "Usage: $0 viewname"
echo "copies all VOB source files to archive"
goto error
endif
setenv iview "$argv[1]"
find /vobs -type f -name "*.c" -o -name "*.sh" -o -name "*.cc" -o -name "*.mkf" -o -name "*.cxx" -o -name "*.h" -o -name "*.hh" -o -name "*.hxx" -o -name "*.ttcn" -o -name "*makefile" -o -name "*.def" -o -name "Makefile" -o -name "*.lc" -o -name "*.cfg" -o -name "*.mk" -o -name "*.txt" -o -name "*.sig" -o -name "*.prj" -o -name "*.dox" | cpio -dumpv .
echo "Zipping..."
tar cvf - ./*.cs ./vobs | gzip > $iview.tar.gz
\rm -rf ./*.cs ./vobs
done:
echo "Done!"
exit 0
error:
echo "Failed!!!"
exit 1
67 cout << "Start of " << __FUNCTION__ << endl;
68 const char* current = s_currentModule;
69 const char* p0 = "module 0";
70 cout << "Module 0 " << endl;
71 addrPointer(p0, "p0");
72 valuePointer(p0, "p0");
73 s_currentModule = p0;
74 addrPointer(s_currentModule, "s_currentModule");
75 valuePointer(s_currentModule, "s_currentModule");
76 current = s_currentModule;
77 addrPointer(current, "current");
78 valuePointer(current, "current");
79
80 const char* p1 = "module 1";
81 cout << "\n Module 1 " << endl;
82 addrPointer(p1, "p1");
83 valuePointer(p1, "p1");
84 s_currentModule = p1;
85 addrPointer(s_currentModule, "s_currentModule");
86 valuePointer(s_currentModule, "s_currentModule");
87 //current = s_currentModule;
88 addrPointer(current, "current");
89 valuePointer(current, "current");
90
91 const char* p2 = "module 2";
92 cout << "\n Module 2 " << endl;
93 s_currentModule = p2;
94 cout << "Addr of s_currentModule = " << &s_currentModule << endl;
95 cout << "Addr of current = " << ¤t << endl;
96 cout << " s_currentModule = " << s_currentModule << endl;
97 cout << " current = " << current << endl;
98
99 const char* p3 = "module 3";
100 cout << "\n Module 3 " << endl;
101 s_currentModule = p3;
102 current = s_currentModule;
103 cout << "Addr of s_currentModule = " << &s_currentModule << endl;
104 cout << "Addr of current = " << ¤t << endl;
105 cout << " s_currentModule = " << s_currentModule << endl;
106 cout << " current = " << current << endl;
107
108 #if 0
109 const char* p4 = "xodule 4";
110 char* current1 = " ";
111 cout << "\n Module 4 " << endl;
112 s_currentModule = p4;
113 //*current1 = *s_currentModule;
114 ¤t1 = &s_currentModule;
115 cout << "Addr of s_currentModule = " << &s_currentModule << endl;
116 cout << "Addr of current1 = " << ¤t1 << endl;
117 cout << " s_currentModule = " << s_currentModule << endl;
118 cout << " current1 = " << current1 << endl;
119 #endif
120
121 const char* p5 = "module 5";
122 cout << "\n Module 5 " << endl;
123 s_currentModule = p5;
124 cout << "Addr of s_currentModule = " << &s_currentModule << endl;
125 cout << "Addr of current = " << ¤t << endl;
126 cout << " s_currentModule = " << s_currentModule << endl;
127 cout << " current = " << current << endl;
128 cout << "End of " << __FUNCTION__ << endl;
129 return 0;
130 }
131
132 int main()
133 {
134 //cout << "Hello World!" << endl;
135 pointer_main();
136 return 0;
137 }
cd /uvobs/1btsptf/core/build
build –xv (for solaris ? build –xv solaris)
Build USL board specific parts only
cd /uvobs/1btsptf/core/build/usl/pub/lib/
build –xv (for solaris ? build –xv solaris)
No comments:
Post a Comment